Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84744 - kio_lan broken
Summary: kio_lan broken
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: kdenetwork
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-20 23:38 UTC by Michael Wardle
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-02-21 11:04:41 UTC


Attachments (Terms of Use)

Description Michael Wardle 2003-02-20 23:38:16 UTC
Description of problem: 
When I try to use the KDE lan browser, I get an error message 
stating that kio_lan could not be loaded. 
 
Version-Release number of selected component (if applicable): 
kdenetwork-3.1-3 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Open Konqueror 
2. Click on the yellow star in the side pane 
3. Click on LAN browser 
     
Actual results: 
The following error message is displayed in the Konqueror window: 
----- 
An error occured while loading lan:/: 
 
 
Could not start process Unable to create io-slave: 
klauncher said: Error loading 'kio_lan'. 
----- 
 
Expected results: 
The LAN browser works as expected (perhaps it shows an icon for 
each system on the LAN or similar). 
 
Additional info: 
Apparently this feature is provided by kio_lan, which appears to be 
in the file list for kdenetwork (/usr/lib/kde3/kio_lan.so).

Comment 1 Ngo Than 2003-02-21 11:04:41 UTC
you have to start lisa daemon before. servive lisa start

Comment 2 John Sutton 2004-08-23 23:08:14 UTC
I've got same issue and a google search for "io-slave kio_lan" shows
quite a lot of others have it to!
I'm using vanilla RH9 bar updating kdebase to 3.1-15 to fix the smb issue.
lisa is running, thus:

[root@localhost john]# telnet localhost 7741
Trying 127.0.0.1...
Connected to localhost.
Escape character is '^]'.
16885952 diva.localdomain
0 succeeded
Connection closed by foreign host.


Note You need to log in before you can comment on or make changes to this bug.